Package org.bukkit.material

# Class Button

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.SimpleAttachableMaterialData
org.bukkit.material.Button

All Implemented Interfaces:
  `Cloneable`, `Attachable`, `Directional`, `Redstone`

@Deprecated public class Button extends SimpleAttachableMaterialData implements Redstone
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents a button

## Constructor Summary

Constructors
Constructor
Description
`Button()`
Deprecated.
`Button(Material type)`
Deprecated.
`Button(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`Button`
`clone()`
Deprecated.
`BlockFace`
`getAttachedFace()`
Deprecated.
Gets the face that this block is attached on
`boolean`
`isPowered()`
Deprecated.
Gets the current state of this Material, indicating if it's powered or unpowered
`void`
`setFacingDirection(BlockFace face)`
Deprecated.
Sets the direction this button is pointing toward
`void`
`setPowered(boolean bool)`
Deprecated.
Sets the current state of this button
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.SimpleAttachableMaterialData

`getFacing`

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Button

public Button()
Deprecated.

### Button

public Button(Material type)
Deprecated.

### Button

@Deprecated public Button(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### isPowered

public boolean isPowered()
Deprecated.
Gets the current state of this Material, indicating if it's powered or unpowered

Specified by:
  `isPowered` in interface `Redstone`
Returns:
  true if powered, otherwise false

### setPowered

public void setPowered(boolean bool)
Deprecated.
Sets the current state of this button

Parameters:
  `bool` - whether or not the button is powered

### getAttachedFace

public BlockFace getAttachedFace()
Deprecated.
Gets the face that this block is attached on

Specified by:
  `getAttachedFace` in interface `Attachable`
Returns:
  BlockFace attached to

### setFacingDirection

public void setFacingDirection(BlockFace face)
Deprecated.
Sets the direction this button is pointing toward

Specified by:
  `setFacingDirection` in interface `Directional`
Parameters:
  `face` - The facing direction

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `SimpleAttachableMaterialData`

### clone

public Button clone()
Deprecated.

Overrides:
  `clone` in class `SimpleAttachableMaterialData`